Tema: El SDK 1.0 de Oculus llegará en diciembre

Oculus ha confirmado durante la presentación de ayer que la versión 1.0 del SDK y el Runtime para el Rift se publicarán en el mes de diciembre.

Leer artículo completo en su página

Mensajes

  • altair28

    Colaborador

    18 Ago 2013 16:58

    Mensajes: 7839

    Ubicación: En mi mundo virtual

    altair28 » 25 SEP 2015  10:34
    Estamos en la recta final, mejor tomarnoslo con calma. Seguramente muchos desarrolladores, especialmente los que tengan entre manos los proyectos más complejos, dejen la actualización para diciembre con el 1.0 para no perder el tiempo, total ya no falta mucho. Los autores de demos y juegos más sencillos puede que vayan actualizando versión a versión y asi poder ir viendo que tal funcionan las novedades que incorpore.

    Creo recordar que dijeron que cada nueva versión del SDK sería compatible únicamente con la inmediatamente anterior, así que si es así cuando salga la 0.8 las cosas compiladas con la 0.7 deberían funcionara también.

    Yo por mi parte mantendré mis dos instalaciones de windows mientras la cosa se estabiliza. Un windows 7 que pronto actualizaré a 10 y en el que iré probando los nuevos runtimes, y un windows 8.1 donde por ahora mantendré el runtime 0.6.0.1 que me va muy bien y con el que puedo seguir jugando al Elite sin problemas, y poner otros juegos y demos que no se han actualizado aun.

    EDITO: damos por hecho que saldran versiones 0.8 y 0.9 del SDK pero... igual resulta que saltan directamente de la 0.7 a la 1.0
    Mi PC: I5 3570K OC 4,2GHz. Gainward GTX1080 Phoenix GS. 16 Gb RAM
    0 0
  • Jeronimous

    20 Dic 2013 19:30

    Mensajes: 771

    Ubicación: Alicante

    Jeronimous » 25 SEP 2015  11:16
    Yo opino que como mucho sacarán una 0.8... y tampoco contaría con ello.

    Si ya han dado fecha para la 1.0..no le veo lógica que saquen un 0.8 a no ser que quieran hacerlo más estable junto con los drivers de nVidia y/o (por pedir que no sea) compatible con las versiones anteriores, que tanto hemos criticado su ausencia.

    Pero un gasto de energía y recursos para eso...

    Y eso de que no rompa compatibilidad hacia atrás, tampoco me parece posible mantenerlo durante mucho tiempo.
    0 0
  • Neoskynet

    13 Ago 2014 16:39

    Mensajes: 2109

    Ubicación: Barcelona

    Neoskynet » 25 SEP 2015  13:10
    Sinceramente, no creo que les hubiera costado mucho implementar algún tipo de selector de versiones para que, en una sola instalación, pudieramos utilizar la que quisiéramos (0.6.0.1, 0.7, 1.0 o las que sean)

    Si para un usuario ya es un fastidio (dos sistemas operativos), para un desarrollador ya ni te digo. Realmente si no fuera por la pasión y horas que les ponen los desarrolladores nóveles y entusiastas, no tendríamos ni una sola demo/juego/aplicación para RV.

    En fin, es lo que tiene estar en esta primera pre-generación de desarrollo.

    Saludos.
    * Nuestro cerebro es un sistema de simulación que virtualiza todo lo que capta del exterior.
    0 0
  • jahrv

    9 Ene 2014 09:38

    Mensajes: 914

    jahrv » 25 SEP 2015  14:08
    Respecto a los desarrolladores, por lo menos por lo que conozco que es Unreal Engine 4, debo disentir un poco con la noticia en el sentido de que el paso de 0.5/0.6 a 0.7 está siendo todo lo traumática que podía ser. Por ejemplo, en la última versión 4.9.1, en la que Epic ha añadido soporte a la 0.7 de Oculus, han roto el soporte a VR preview, que es algo super cómodo que permite desarrollar e ir viendo cómo queda todo sin necesidad de una recompilación total. Y todo es un suma y sigue.

    Nos esperan meses de mucha paciencia tanto a usuarios como a desarrolladores. Esto va a ser un poco caos hasta que venga el ansiado 1.0 y todos los engines se euqiparen con él y definitivamente se estabilicen en torno a esa versión. Aunque no espero ya grandes bandazos en cuanto a features en los próximos tres meses, espero que ya el camino de 0.7 a 1.0 sea más suave, y de hecho, no espero ya ningún 0.8 ni 0.9. No sé qué grandes features nos faltaban por ahí en el SDK, pero desde que Oculus se ha cargado el soporte a portátiles y PCs de baja gama¡, y con el soporte de Nvidia y AMD con sus drivers, yo creo que ya casi lo tienen resuelto todo en cuanto al SDK, quitando que tengan que pulir y dar cera en algunas cosas. Eso espero.
    0 0
  • AOXE3D

    Colaborador

    28 Jun 2014 18:16

    Mensajes: 233

    Ubicación: Jujuy, Argentina

    AOXE3D » 25 SEP 2015  14:23
    igual al selector de versiones de minecraft en pc!  :)
    ”Será tan real como la realidad”
    0 0
  • carloscasas

    Colaborador

    3 Sep 2014 17:20

    Mensajes: 1676

    carloscasas » 25 SEP 2015  14:37
    Entonces si no he entendido mal

    El SDK 1.0 de Oculus va a suponer un cambio importante que muchos desarrolladores están esperando ansiosos, ya que a partir de esta versión no se romperá la compatibilidad hacia atrás entre este SDK y los que vengan


    Si alguien tiene una demo/juego/proyecto desarrollado, por ejemplo, en el runtime 0.6.0.1, cuando saquen el 1.0, seguirá siendo compatible, ¿correcto? Eso es muy importante.

    ¿Y para modo extendido se aplican esas mismas reglas? ¿O sea, un juego o demo que vaya en la 0.6.0.1 en extendido seguirá funcionando con la 1.0?
    0 0
  • klyonline

    Colaborador

    19 Feb 2014 11:58

    Mensajes: 847

    klyonline » 25 SEP 2015  14:43
    No, desde la 0.7 ya no existe el modo extendido (salvo un truquillo que anda por ahí con la versión de Windows 10). Lo que vienen a decir es que la 1.0 debería ser compatible con las posteriores versiones que saquen.
    0 0
  • AOXE3D

    Colaborador

    28 Jun 2014 18:16

    Mensajes: 233

    Ubicación: Jujuy, Argentina

    AOXE3D » 25 SEP 2015  14:51
    Tal vez así se entiende mejor ya que como tal cual esta escrita se presta mucho a la confusion

    El SDK 1.0 de Oculus va a suponer un cambio importante que muchos desarrolladores están esperando ansiosos, ya que a partir de esta (1.0) versión no se romperá la compatibilidad hacia atrás entre este SDK (1.0) y los que vengan

    ”Será tan real como la realidad”
    0 0
  • carloscasas

    Colaborador

    3 Sep 2014 17:20

    Mensajes: 1676

    carloscasas » 25 SEP 2015  15:01
    Gracias.

     klyonline:No, desde la 0.7 ya no existe el modo extendido (salvo un truquillo que anda por ahí con la versión de Windows 10). Lo que vienen a decir es que la 1.0 debería ser compatible con las posteriores versiones que saquen.


    ¿Podrías comentar donde puede encontrar ese truco para windows 10? Me toca instalar un simulador para la madrid games week en un pc con windows 10.

    Mi idea es poner la 0.6.0.1 en windows 10 y hacer lo que pone aquí

    www.realovirtual.com/es/foro/topic/7801/configuracion-oculus-dk2-windows-10

    Pero si puedo hacer con la 0.7 en extendido mejor.

    0 0
  • klyonline

    Colaborador

    19 Feb 2014 11:58

    Mensajes: 847

    klyonline » 25 SEP 2015  15:16
    Creo otro post porque no me deja desde el móvil editar anterior.

    Este truco no te va a valer si esta compilada con versiones modernas.
    0 0
  • carloscasas

    Colaborador

    3 Sep 2014 17:20

    Mensajes: 1676

    carloscasas » 25 SEP 2015  15:40
       klyonline:Creo otro post porque no me deja desde el móvil editar anterior.

    Este truco no te va a valer si esta compilada con versiones modernas.


    Gracias

    El juego Richard Burns Rally y su plugin está compilado con la 0.5

    Me apunto ese tutorial y lo probaré en windows 10 (en windows 7 lo probé esta mañana y no me iba, pero parece que es sólo válido para win10)
    0 0
  • Anónimo

    Edgar García » 26 SEP 2015  22:35
    No, no necesariamente Oculus deberá sacar las versiones 0.8 y 0.9 para pasar a la 1.0. El versionamiento del software dice que si tu software deja de ser un Alfa, Beta o un prototipo, independientemente de la versión en la que estés, pero si ya esta terminado para ser lanzado comercialmente, puedes pasar directamente a la version 1.0, por ejemplo con Oculus, ellos pueden quedarse en la version 0.7 y en diciembre pasar a la versión 1.0. En otros casos inclusive, pudieran continuar con el versionamiento, por ejemplo, la versión 0.10, 0.11, etc. y después pasar a la 1.0 cuando esté listo.

    No se preocupen tanto, no creo que en dos meses Oculus saque una nueva versión importante, por algo ya anticiparon la versión final para diciembre, porque están trabajando en ella.
    0 0

Usuarios navegando por este foro: